Assignee: % Done: 0%
Target version:

Resolution:

Description

My company has recently adopted Redmine as a backend system for project and resource management and the response has been
quite positive. There are quite a few ideas for improvement floating around, but currently we have a small request that would fulfill our
requirements for the moment.

Currently, the PDF export functionality in Redmine only supports exporting the current page, be it the issue form or the current table
on the screen. However, to create requirement specs and other types of documents, it would be essential to be able to multi-select
issues in the Issues tab and having a way to create a single, continuous PDF with their data.

In order to avoid messing with Redmine's internal code, the optimal solution would be to develop a plugin that provided this
functionality.

The expected functionality would be thus be to be able to create a single PDF with the data of the issues selected in the Issues
screen. Alternatively, several individual PDFs could be created from the selected issues on the table (and saved automatically for a
designated folder).

Thanks in advance for your help!

Related issues:

Related to Redmine - Feature #69: Textilized description in PDF Closed

Related to Redmine - Patch #10869: Add Full PDF output to issue summary list New

Related to Redmine - Feature #1564: PDF export of all issues with all informa... New 2008-07-03
History

#1 - 2011-04-12 09:58 - Frank Helk

+1 (or +50, to show my demand ...)

Instead of the suggested menu point | would prefer an option in the right-click menu of the tickets list, i.e. "Export all to PDF". This should create a
single, continous pdf of the checked issues in full detail - preferably with a page break between issues.

| think this issue is duplicated by issue #6554 and it is related to issue #1564. Someone please add the relations.

#2 - 2011-04-12 10:03 - Frank Helk

A minimalistic - and simple to implement - approach would be to include a link to the correspondent PDF into each displayed line of the ticket list. That
would at least allow to export each issue without the need to open each of them. But multi issue export would be definitely preferred.

#3 - 2011-06-08 08:42 - Daniel Schaarschmidt
+1

Does this really belong into just another plugin? Because export to pdf is already a core functionality | believe this improvement should be one too.

#4 - 2011-07-12 18:35 - Jon Gambino
+1 (witha'!)

| am also looking for a clean way to get this to work. We have a requirement from a customer to be able to print all of their issues from a query at once
and 'as they are at that moment' as opposed to printing issues one by one. Which is currently cumbersome if there are, say, 20 or more.

I think it needs to be able to compile all of the issues from a given query into a single pdf presented in the same order of a sorted query.

#5 - 2011-07-13 00:35 - Toshi MARUYAMA
https://www.redmine.org/issues/6554
https://www.redmine.org/issues/1564

- Category changed from Plugin Request to PDF export

#6 - 2011-07-13 09:09 - Mathias Kiithn

We're using the parametric-pdf-export plugin that basically does exactly what you're asking for. I've attached the latest version that works with the 1.2
release of redmine.

However, this plugin has a little drawback since Redmine currently does not provide a hook to add additional export types to the view. This plugin
basically duplicates the issues/index.rhtml from redmine and inserts the required link into the view. This in turn means, that the change needs to be
applied for every new version of this file to work.

Maybe someone could pick this up and turn it into a generic plugin?!

#7 - 2011-07-13 14:35 - Terence Mill

Mathias Kuhn wrote:

We're using the parametric-pdf-export plugin that basically does exactly what you're asking for. I've attached the latest version that works with
the 1.2 release of redmine.

However, this plugin has a little drawback since Redmine currently does not provide a hook to add additional export types to the view. This
plugin basically duplicates the issues/index.rhtml from redmine and inserts the required link into the view. This in turn means, that the change
needs to be applied for every new version of this file to work.

Maybe someone could pick this up and turn it into a generic plugin?!

Can't find that plugin.. Where is the source?
#8 - 2011-11-09 21:14 - ee se
+1

This is something we also extremely need. It takes quite a bit of time daily to print
issues needed one by one for our clients that require hard documentation.

#9 - 2011-12-01 11:37 - Stefan Mueller
- File export_issues.pdf added

Found the project Mathias Kiihn wrote in his post on this link:
http://code.google.com/p/a-studio/downloads/detail?name=redmine_parametric_pdf_export 0.0.1.zip&can=2&q=

In case your Redmine version works with TCPDF you will have to modify redmine_pdf_export_patch.rb (replace IFPDF with ITCPDF)

Output is ok, but as Mathias wrote it replaces the index.rhtml of the Issues view. Anyway the functionality overall is good for my needs (the view filters
are applied to the report). Output slightly differs from the report of the current version of RedMine, as the report is re-scripted. The last thing is not a
big disadvantage | think, as | want to embed the screenshots of the issues into the PDF and insert a header.

#10 - 2012-03-03 12:52 - Terence Mill
duplicates #1564

#11 - 2012-03-03 13:00 - Terence Mill
overrideing index html shall be easily replacable with hook approach, like done for redmine xlIs export plugin" which could only inject a new "export full
issue list to pdf" link at the bottom.

Also rewriting xml output so look similar to actual redmine style shalle be easy with tweaking copy paste redmine code in the
redmine_pdf export patch.rb file.

Stefan Mueller wrote:

Found the project Mathias Kiihn wrote in his post on this link:
http://code.google.com/p/a-studio/downloads/detail?name=redmine_parametric_pdf export 0.0.1.zip&can=2&q=

In case your Redmine version works with TCPDF you will have to modify redmine_pdf_export_patch.rb (replace IFPDF with ITCPDF)
Output is ok, but as Mathias wrote it replaces the index.rhtml of the Issues view. Anyway the functionality overall is good for my needs (the view

filters are applied to the report). Output slightly differs from the report of the current version of RedMine, as the report is re-scripted. The last
thing is not a big disadvantage | think, as | want to embed the screenshots of the issues into the PDF and insert a header.
http://code.google.com/p/a-studio/downloads/detail?name=redmine_parametric_pdf_export_0.0.1.zip&can=2&q=
https://www.redmine.org/issues/1564
https://github.com/two-pack/redmine_xls_export/blob/master/lib/issues_controller_xls_patch.rb
http://code.google.com/p/a-studio/source/browse/trunk/redmine_parametric_pdf_export/lib/redmine_pdf_export_patch.rb
http://code.google.com/p/a-studio/downloads/detail?name=redmine_parametric_pdf_export_0.0.1.zip&can=2&q=

#12 - 2012-04-19 15:01 - Olivier Franceschi

Hello,

Has anyone changed the plugin index.rhtml to adapt it to Redmine 1.4.0.
I'm sorry, but I'm a newbee, and | can't do it myself.

Thanks

LaFouine

#13 - 2012-05-12 10:01 - Terence Mill
related to pathc #10869

#14 - 2014-09-19 07:16 - Toshi MARUYAMA
- Related to Feature #1564: PDF export of all issues with all information added

Files
export2pdf_.jpg 145 KB 2010-09-03 Alberto Ferreira
export_issues.pdf 318 KB 2011-12-01 Stefan Mueller
https://www.redmine.org/issues/10869
http://www.tcpdf.org

